Debian Bug report logs - #645797
systemtap: please add support for armhf

version graph

Package: systemtap; Maintainer for systemtap is Ritesh Raj Sarraf <rrs@debian.org>; Source for systemtap is src:systemtap.

Reported by: Konstantinos Margaritis <markos@genesi-usa.com>

Date: Tue, 18 Oct 2011 18:00:01 UTC

Severity: important

Tags: patch

Found in version systemtap/1.6-1

Fixed in version systemtap/1.7-1~experimental1

Done: Timo Juhani Lindfors <timo.lindfors@iki.fi>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ritesh Raj Sarraf <rrs@debian.org>:
Bug#645797; Package systemtap. (Tue, 18 Oct 2011 18:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantinos Margaritis <markos@genesi-usa.com>:
New Bug report received and forwarded. Copy sent to Ritesh Raj Sarraf <rrs@debian.org>. (Tue, 18 Oct 2011 18:00:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@genesi-usa.com>
To: submit <submit@bugs.debian.org>
Subject: systemtap: please add support for armhf
Date: Tue, 18 Oct 2011 20:57:20 +0300
[Message part 1 (text/plain, inline)]
Package: systemtap
Version: 1.6-1
Severity: important
Tags: patch

Please consider adding support for armhf, the package builds fine.

Regards

Konstantinos
[systemtap_armhf.diff (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ritesh Raj Sarraf <rrs@debian.org>:
Bug#645797; Package systemtap. (Tue, 18 Oct 2011 18:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Extra info received and forwarded to list. Copy sent to Ritesh Raj Sarraf <rrs@debian.org>. (Tue, 18 Oct 2011 18:27:07 GMT) Full text and rfc822 format available.

Message #10 received at 645797@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: Konstantinos Margaritis <markos@genesi-usa.com>
Cc: 645797@bugs.debian.org
Subject: Re: Bug#645797: systemtap: please add support for armhf
Date: Tue, 18 Oct 2011 21:24:15 +0300
Konstantinos Margaritis <markos@genesi-usa.com> writes:
> Please consider adding support for armhf, the package builds fine.

I don't have any armhf machines. Running the testsuite needs root
privilegs so porterboxes are not an option. Can you try running it?

You need to add your user to "stapdev" group or run the following as
root:

apt-get source systemtap
cd systemtap-*
./configure
make installcheck




Information forwarded to debian-bugs-dist@lists.debian.org, Ritesh Raj Sarraf <rrs@debian.org>:
Bug#645797; Package systemtap. (Thu, 27 Oct 2011 18:51:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Extra info received and forwarded to list. Copy sent to Ritesh Raj Sarraf <rrs@debian.org>. (Thu, 27 Oct 2011 18:51:08 GMT) Full text and rfc822 format available.

Message #15 received at 645797@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: Konstantinos Margaritis <markos@genesi-usa.com>
Cc: 645797@bugs.debian.org, control@bugs.debian.org, rrs@debian.org
Subject: Re: Bug#645797: systemtap: please add support for armhf
Date: Thu, 27 Oct 2011 21:48:48 +0300
package systemtap
tags 645797 pending
thanks

Hi Kostantinos and Ritesh,

Konstantinos Margaritis <markos@genesi-usa.com> writes:
> Please consider adding support for armhf, the package builds fine.

I still don't have root access to any armhf machine so I can't run the
testsuite. However since the patch looks fine I pushed it to
collab-maint.

Ritesh, any comments?

-Timo






Added tag(s) pending. Request was from Timo Juhani Lindfors <timo.lindfors@iki.fi> to control@bugs.debian.org. (Thu, 27 Oct 2011 18:51:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ritesh Raj Sarraf <rrs@debian.org>:
Bug#645797; Package systemtap. (Tue, 08 Nov 2011 22:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eero Tamminen <oak@helsinkinet.fi>:
Extra info received and forwarded to list. Copy sent to Ritesh Raj Sarraf <rrs@debian.org>. (Tue, 08 Nov 2011 22:42:03 GMT) Full text and rfc822 format available.

Message #22 received at 645797@bugs.debian.org (full text, mbox):

From: Eero Tamminen <oak@helsinkinet.fi>
To: 645797@bugs.debian.org
Subject: systemtap: please add support for armhf
Date: Wed, 9 Nov 2011 00:36:55 +0200
Hi,

We've used Systemtap on a Debian derivative with ARMv7 + hard-fp ABI
and it works fine as long as kernel Kprobes works fine.  There were
some fairly serious Kprobes ARM/v7 instruction emulation issues fixed
in upstream Linux kernel in spring, after which Systemtap started
working fine on ARM.

These kind of issues may show up on test-suite run e.g. as reboots.


	- Eero




Reply sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
You have taken responsibility. (Fri, 10 Feb 2012 11:49:52 GMT) Full text and rfc822 format available.

Notification sent to Konstantinos Margaritis <markos@genesi-usa.com>:
Bug acknowledged by developer. (Fri, 10 Feb 2012 11:49:58 GMT) Full text and rfc822 format available.

Message #27 received at 645797-close@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: 645797-close@bugs.debian.org
Subject: Bug#645797: fixed in systemtap 1.7-1~experimental1
Date: Fri, 10 Feb 2012 11:47:44 +0000
Source: systemtap
Source-Version: 1.7-1~experimental1

We believe that the bug you reported is fixed in the latest version of
systemtap, which is due to be installed in the Debian FTP archive:

systemtap-client_1.7-1~experimental1_amd64.deb
  to main/s/systemtap/systemtap-client_1.7-1~experimental1_amd64.deb
systemtap-common_1.7-1~experimental1_all.deb
  to main/s/systemtap/systemtap-common_1.7-1~experimental1_all.deb
systemtap-doc_1.7-1~experimental1_all.deb
  to main/s/systemtap/systemtap-doc_1.7-1~experimental1_all.deb
systemtap-grapher_1.7-1~experimental1_amd64.deb
  to main/s/systemtap/systemtap-grapher_1.7-1~experimental1_amd64.deb
systemtap-runtime_1.7-1~experimental1_amd64.deb
  to main/s/systemtap/systemtap-runtime_1.7-1~experimental1_amd64.deb
systemtap-sdt-dev_1.7-1~experimental1_amd64.deb
  to main/s/systemtap/systemtap-sdt-dev_1.7-1~experimental1_amd64.deb
systemtap-server_1.7-1~experimental1_amd64.deb
  to main/s/systemtap/systemtap-server_1.7-1~experimental1_amd64.deb
systemtap_1.7-1~experimental1.debian.tar.gz
  to main/s/systemtap/systemtap_1.7-1~experimental1.debian.tar.gz
systemtap_1.7-1~experimental1.dsc
  to main/s/systemtap/systemtap_1.7-1~experimental1.dsc
systemtap_1.7-1~experimental1_amd64.deb
  to main/s/systemtap/systemtap_1.7-1~experimental1_amd64.deb
systemtap_1.7.orig.tar.gz
  to main/s/systemtap/systemtap_1.7.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 645797@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Timo Juhani Lindfors <timo.lindfors@iki.fi> (supplier of updated systemtap package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 19 Dec 2011 13:27:20 +0200
Source: systemtap
Binary: systemtap systemtap-common systemtap-runtime systemtap-doc systemtap-server systemtap-client systemtap-sdt-dev systemtap-grapher
Architecture: source amd64 all
Version: 1.7-1~experimental1
Distribution: experimental
Urgency: low
Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
Changed-By: Timo Juhani Lindfors <timo.lindfors@iki.fi>
Description: 
 systemtap  - instrumentation system for Linux
 systemtap-client - instrumentation system for Linux (client for compile server)
 systemtap-common - instrumentation system for Linux (common component)
 systemtap-doc - documentation and examples for SystemTap
 systemtap-grapher - instrumentation system for Linux (grapher)
 systemtap-runtime - instrumentation system for Linux (runtime component)
 systemtap-sdt-dev - statically defined probes development files
 systemtap-server - instrumentation system for Linux (compile server)
Closes: 645797 655882 656383 656477
Changes: 
 systemtap (1.7-1~experimental1) experimental; urgency=low
 .
   [ Ritesh Raj Sarraf ]
   * Add Timo Juhani Lindfors to Uploaders.
 .
   [ Timo Juhani Lindfors ]
   * New Upstream Release.
   * Drop patches that are obsolete or accepted upstream:
     dont-build-pdfdocs.diff dont-remove-scripts.diff
     examples-shebangs.diff grapher-libs.diff new-elfutils.diff
     no-make-distclean-for-man.diff stapex-docdir-path.diff
     use-pdflatex.diff vim-filetype-override.diff xmlto-test.diff
   * Add patches to improve documentation: manpage-paths1.diff
     manpage-syntax1.diff spelling-fixes1.diff spelling-fixes2.diff
   * Update standards-version to 3.9.2, no changes necessary
   * Add armhf to the architecture list (Closes: #645797)
   * Enable hardened build flags (Closes: #655882)
   * Set architecture of systemtap-sdt-dev to linux-any to avoid confusion
     on kfreebsd (Closes: #656383, #656477)
   * Add stapsys group which behaves like stapdev but does not permit
     the use of guru mode.
   * Remove references to "Linux 2.6" from package description and suggests
     fields since we support 3.x too.
Checksums-Sha1: 
 c27d2ab3a3d38ae7dc0a83c2b058dfaa621801b2 2740 systemtap_1.7-1~experimental1.dsc
 26fcab4a05d79ef94a84b47c55aaac81a4ece271 2391055 systemtap_1.7.orig.tar.gz
 226e0dc57553ee1728b9b7199a0faf32bae3e3fb 26431 systemtap_1.7-1~experimental1.debian.tar.gz
 9ef8188ff7a685f783c7f498cb5154d2a42fc9d7 842700 systemtap_1.7-1~experimental1_amd64.deb
 39358e27d70bba7c97d30c00347c4f2385a4519f 514796 systemtap-common_1.7-1~experimental1_all.deb
 67fc656b73c2648bc7cacf357c0bcb9ef5d3aef6 156928 systemtap-runtime_1.7-1~experimental1_amd64.deb
 634bd92000d23c6ac4952bada2b37ef7c0b0b910 1139856 systemtap-doc_1.7-1~experimental1_all.deb
 a2e65d81417b603d81299ee07c9882584041c9b2 200016 systemtap-server_1.7-1~experimental1_amd64.deb
 7afe7d433f68da1fb1697ba52719113d66014c54 16440 systemtap-client_1.7-1~experimental1_amd64.deb
 8fccb84767d3d05a164b124f102b7bc37afcc792 23972 systemtap-sdt-dev_1.7-1~experimental1_amd64.deb
 b5cb707df1fc61eb7caea540dedd1110f28debdc 122184 systemtap-grapher_1.7-1~experimental1_amd64.deb
Checksums-Sha256: 
 dd5c4e1fb21268222c6fa3777de2575637659b0d49aaa4818a2ab952b123e023 2740 systemtap_1.7-1~experimental1.dsc
 13298b889a3a00ec0279eae737adae33139047aa88cf396d9846fa4da75228ae 2391055 systemtap_1.7.orig.tar.gz
 f3a1eb787a67d94fecb246bb9e1cce0fd9f64e94720c2d00d1004050d9cfa4ad 26431 systemtap_1.7-1~experimental1.debian.tar.gz
 e1aead40d3cbaa02541623d38445de854893b41765253542578512c334483e08 842700 systemtap_1.7-1~experimental1_amd64.deb
 00096410b49f90521d8c7cb868816eed84786325aaa16b92b0b7e4d09f6bc84f 514796 systemtap-common_1.7-1~experimental1_all.deb
 6886f3bbd36fe3748c2d605572294b469053d48c687b6f1560c42eac503cde01 156928 systemtap-runtime_1.7-1~experimental1_amd64.deb
 e888e719d54dcf7a6250cac48220e754d526b4e4f698cbdaec63419f45c6bca8 1139856 systemtap-doc_1.7-1~experimental1_all.deb
 400a3745cdc894bc9372b5ef016f991f97f7c5ece342c685d871a480f55f7afb 200016 systemtap-server_1.7-1~experimental1_amd64.deb
 fc87a6a1de4d0293c6dab1a14e9e110fc5135ba1926c34d4879f3afdc24e7cb0 16440 systemtap-client_1.7-1~experimental1_amd64.deb
 dc3f449435cab9873dea12cefb4b58478449ca35eaeeb2a7ddcf262602823248 23972 systemtap-sdt-dev_1.7-1~experimental1_amd64.deb
 3ec4b25d47c3a9a62d218c9d8f23fd3764f7c453495b2732987f3df4a0890897 122184 systemtap-grapher_1.7-1~experimental1_amd64.deb
Files: 
 b872d1c2dbf2e4a5143dadf8094db463 2740 devel optional systemtap_1.7-1~experimental1.dsc
 b61b42b2fc687a8c76621ce8e4b37b17 2391055 devel optional systemtap_1.7.orig.tar.gz
 a53727e30bfe2ee808376571d4d69f35 26431 devel optional systemtap_1.7-1~experimental1.debian.tar.gz
 cf3bcb637de667a307a498c16639f40d 842700 devel optional systemtap_1.7-1~experimental1_amd64.deb
 fece279c5069e2cef7c92cf0c11d61a6 514796 devel optional systemtap-common_1.7-1~experimental1_all.deb
 8f1f03336599d59f214b275dc1410ae0 156928 devel optional systemtap-runtime_1.7-1~experimental1_amd64.deb
 2846d2299bc71de4990b3fe4ed2a7360 1139856 doc optional systemtap-doc_1.7-1~experimental1_all.deb
 1d513921ee44fd35cc805f8068129da3 200016 devel optional systemtap-server_1.7-1~experimental1_amd64.deb
 cbfe10b4358e60370ac740e921261629 16440 devel optional systemtap-client_1.7-1~experimental1_amd64.deb
 a5b7fbe8cce16d0bca1086efa59a28c6 23972 devel optional systemtap-sdt-dev_1.7-1~experimental1_amd64.deb
 d97966eed05b36ac14de4573826b8036 122184 devel optional systemtap-grapher_1.7-1~experimental1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJPNOzOAAoJEE0knZsj5vw6/+YP/j8Z31QNof5uXi2KKnId/Pex
Wvb64lH7QaHwISHB3Se01iotsL8jm1t/Lz9nmBu4uyvaZ9CIewY6xENX1HUgOEyb
/p5IA2R9QtOxUnBVjzEFtgz4Cn1eCNsQ7/ftYb9MEpIhhyba33xojz3polXwmotF
TRTbQgI0zdnTLLrL7ZVeJFUhZzDZSY2uTf0LmHnHtx6/pG4m4gw5ie1/6IS3WK5R
9jpCbXpvmTh1uUKMXIj7tDqUaFGPmq0vumer5DkVMp2ncmgL+ULCaAhLBcAIhlIO
blYmPGpDsVjE7EAANK64cHsBCe5aAyPaFnnAJEcjFRZXIOpeITdax5W5id2GdA+E
Yjuk/a08aXW6VigsSwxHcE3yPqN7p02TLaUkfWSgpY69vmuL4SkmNv4AH9tVQrcr
mASj3J9YIufc4hPW+0wlECF87/QURvTX4AiTwYxMLymxfiGbrrKbJ8Si5A7UrTUq
eyUeLN6ZduYLl+JQEX8ZCxdMfpGi67DSqa5px5q8tGE5nG61Tje2LvDd7snzbAXs
/yS6gjRp3VX0CnsRaLWNhrVZ98k/3vEqz+DQlDWUXbE0TgdXn5qYO+gIXi2BwxSO
OmSo0+rFLv+fiXzzbOE8zoRiKY7NwhEdsY3puU3IJ+BDZ0xxKCQ1HssEk2LtVD3G
6eAaiHKFpTYzG2tB/toR
=eOGu
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 23 Apr 2012 07:39:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:41:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.